from django.contrib.auth.mixins import LoginRequiredMixin
from django.core import serializers
from django.http import HttpResponse, HttpResponseRedirect
from django.shortcuts import get_object_or_404
from django.urls import reverse
from django.views.generic import TemplateView
from django.views.generic.list import ListView

from logtracker.collection.models import Entry


class EntriesList(LoginRequiredMixin, ListView):
    def get_queryset(self):
        qs = Entry.objects.all()
        return qs[:100]

    def get(self, request, *args, **kwargs):
        queryset = self.get_queryset()
        response = serializers.serialize("json", queryset)
        return HttpResponse(response, content_type='application/json')


class HomeView(LoginRequiredMixin, TemplateView):
    template_name = 'entries/home.html'

    def post(self, request, *args, **kwargs):
        url = '%s?%s' % (reverse('emails'), '%s=%s' % (request.POST['field'], request.POST['address']))
        return HttpResponseRedirect(url)
