from django.conf.urls import include, url
from django.contrib import admin
from django.conf import settings

from logtracker.collection.views import EntriesList, HomeView
from logtracker.mail.views import EmailsList, SendersList, MailHome

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^$', HomeView.as_view()),
    url(r'^api/collection/$', EntriesList.as_view()),
    url(r'^api/mail/$', EmailsList.as_view(), name='emails'),
    url(r'^mail/$', MailHome.as_view(), name='mail'),
    url(r'^mail/senders/$', SendersList.as_view(), name='senders'),
]

if 'mellon' in settings.INSTALLED_APPS:
    urlpatterns += url(r'^accounts/mellon/', include('mellon.urls')),
